# Used to provide internet access for instances in the VPC
resource "aws_internet_gateway" "athens_internet_gateway" {
  vpc_id = aws_vpc.athens_vpc.id

  tags = {
    Name = "Athens Common Internet Gateway in Olypmus"
  }
}

# NAT lives in the public subnet because it has an EIP
# which is the main requirement to be situated in Olympus
resource "aws_nat_gateway" "crete_nat_gateway" {
  allocation_id = aws_eip.demeter_eip.id
  subnet_id = aws_subnet.olympus_subnet.id

  tags = {
    Name = "Demeter - Crete's NAT located in Olympus"
  }
  # Ensure this resource is created after the internet gateway
  depends_on = [aws_internet_gateway.athens_internet_gateway]
}
