# NOTE: local traffic route is implied and does not need to be specified
resource "aws_route_table" "olympus_route_table" {
  vpc_id = aws_vpc.athens_vpc.id
  route {
    cidr_block = "0.0.0.0/0"
    gateway_id = aws_internet_gateway.athens_internet_gateway.id
  }

  tags = {
    Name = "Olympush IGW Route Table"
  }
}
resource "aws_route_table_association" "olympus_gateway_association" {
  subnet_id = aws_subnet.olympus_subnet.id
  route_table_id = aws_route_table.olympus_route_table.id
}


# Here we route crete's traffic to the nat
# NOTE: The NAT is actually located in Olympus because it has an EIP
resource "aws_route_table" "crete_route_table" {
  vpc_id = aws_vpc.athens_vpc.id
  route {
    cidr_block = "0.0.0.0/0"
    nat_gateway_id = aws_nat_gateway.crete_nat_gateway.id
  }
  tags = {
    Name = "Crete NAT Route Table"
  }
}
resource "aws_route_table_association" "crete_nat_association" {
  subnet_id = aws_subnet.crete_subnet.id
  route_table_id = aws_route_table.crete_route_table.id
}
