# This script represents the subnet structure for Crete(primary subnet)
variable "olympus_cidr" {}
variable "crete_cidr" {}
variable "athens_availability_zone" {}


# Crete will serve as the private subnet with internal services
resource "aws_subnet" "crete_subnet" {
  vpc_id = aws_vpc.athens_vpc.id
  # 10.0.1.0/24
  cidr_block = var.crete_cidr
  availability_zone = var.athens_availability_zone

  tags = {
    Name = "Crete Subnet - Internal"
  }
}

# Olympus will be the subnet that contains any/all public facing services
resource "aws_subnet" "olympus_subnet" {
  vpc_id = aws_vpc.athens_vpc.id
  # 10.0.2.0/24
  cidr_block = var.olympus_cidr

  tags = {
    Name = "Olympus Subnet - Public Facing"
  }
}
